Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | Public Attributes | List of all members
EntityProjectile Class Reference
Inheritance diagram for EntityProjectile:

## Public Member Functions
| AddHeight (float Value)
| AddFallingSpeed (float Value)
| AddFallingAccel (float Value)
| AddChangeFlags (integer Flags)
| AddScale (float Value)
| AddProjectileFlags (integer Flags)
Public Member Functions inherited from Entity
table | GetData ()
| Update ()
| Render (Vector Offset)
boolean | RenderShadowLayer (Vector Offset)
| PostRender ()
boolean | TakeDamage (float Damage, integer Flags, EntityRef Source, integer DamageCountdown)
boolean | HasMortalDamage ()
| Kill ()
| Kills the entity and makes a blood splat or gibs. More...
| Die ()
| Remove ()
| BloodExplode ()
| Explodes with gibs and blood. More...
| AddVelocity (Vector Velocity)
| MultiplyFriction (float Value)
| SetColor (KColor KColor, integer Duration, integer Priority, boolean Fadeout, boolean Share)
const KColor & | GetColor ()
| SetSpriteFrame (string AnimationName, integer FrameNum)
| SetSpriteOverlayFrame (string AnimationName, integer FrameNum)
| SetSize (float Size, Vector SizeMulti, integer NumGridCollisionPoints)
boolean | CollidesWithGrid ()
boolean | IsEnemy ()
| return true for NPCs that are not controlled by the player More...
boolean | IsActiveEnemy (boolean includeDead)
| return true for non background NPCs (ex: every enemy except fire and shopkeepers) More...
boolean | IsVulnerableEnemy ()
| return true for enemies that can be damaged More...
boolean | IsFlying ()
| AddEntityFlags (integer Flags)
| ClearEntityFlags (integer Flags)
integer | GetEntityFlags ()
boolean | HasEntityFlags (integer Flags)
boolean | HasFullHealth ()
| AddHealth (float HitPoints)
| AddPoison (EntityRef Source, integer Duration, float Damage)
| AddFreeze (EntityRef Source, integer Duration)
| AddSlowing (EntityRef Source, integer Duration, float SlowValue, KColor SlowColor)
| Makes the friction higher. More...
| AddCharmed (integer Duration)
| AddConfusion (EntityRef Source, integer Duration, boolean IgnoreBosses)
| AddMidasFreeze (EntityRef Source, integer Duration)
| AddFear (EntityRef Source, integer Duration)
| AddBurn (EntityRef Source, integer Duration, float Damage)
| AddShrink (EntityRef Source, integer Duration)
| RemoveStatusEffects ()
boolean | Exists ()
boolean | IsDead ()
boolean | IsVisible ()
boolean | IsInvincible ()
boolean | CanShutDoors ()
| enemies keep the doors shut More...
boolean | IsBoss ()
| bosses display health bar More...
BossId | GetBossID ()
Entity & | GetLastParent ()
Entity & | GetLastChild ()
boolean | HasCommonParentWithEntity (Entity Other)
boolean | IsFrame (integer Frame, integer Offset)
| true every X frames More...
RNG & | GetDropRNG ()
Sprite & | GetSprite ()
EntityPlayer | ToPlayer ()
EntityEffect | ToEffect ()
EntityNPC | ToNPC ()
EntityPickup | ToPickup ()
EntityFamiliar | ToFamiliar ()
EntityBomb | ToBomb ()
EntityKnife | ToKnife ()
EntityLaser | ToLaser ()
EntityTear | ToTear ()
EntityProjectile | ToProjectile ()

## Public Attributes
float | Height
float | FallingSpeed
float | FallingAccel
float | HomingStrength
float | CurvingStrength
float | Acceleration
integer | WiggleFrameOffset
integer | ChangeFlags
float | ChangeVelocity
integer | ChangeTimeout
float | Scale
integer | ProjectileFlags
float | DepthOffset
float | Damage
Public Attributes inherited from Entity
float | Friction
| loaded from entity config More...
Vector | Position
Vector | Velocity
const EntityType | Type
integer | Variant
| void SetType(eEntityType Type); More...
integer | SubType
EntityType | SpawnerType
integer | SpawnerVariant
const KColor & | SplatColor
boolean | Visible
const Vector & | PositionOffset
integer | RenderZOffset
boolean | FlipX
const Vector & | SpriteOffset
const Vector & | SpriteScale
float | SpriteRotation
Vector | SizeMulti
float | Mass
float | MaxHitPoints
float | HitPoints
const integer | Index
const Vector & | TargetPosition
GridCollisionClass | GridCollisionClass
EntityCollisionClass | EntityCollisionClass
float | CollisionDamage
const integer | SpawnGridIndex
Entity & | Parent
Entity & | Child
Entity & | Target
Entity & | SpawnerEntity
const integer | FrameCount
const integer | InitSeed
const integer | DropSeed
float | DepthOffset

## Member Function Documentation

## ◆ AddChangeFlags()

EntityProjectile::AddChangeFlags | ( | integer | Flags | ) |

## ◆ AddFallingAccel()

EntityProjectile::AddFallingAccel | ( | float | Value | ) |

## ◆ AddFallingSpeed()

EntityProjectile::AddFallingSpeed | ( | float | Value | ) |

## ◆ AddHeight()

EntityProjectile::AddHeight | ( | float | Value | ) |

## ◆ AddProjectileFlags()

EntityProjectile::AddProjectileFlags | ( | integer | Flags | ) |

## ◆ AddScale()

EntityProjectile::AddScale | ( | float | Value | ) |

## Member Data Documentation

## ◆ Acceleration

float EntityProjectile::Acceleration

## ◆ ChangeFlags

integer EntityProjectile::ChangeFlags

## ◆ ChangeTimeout

integer EntityProjectile::ChangeTimeout

## ◆ ChangeVelocity

float EntityProjectile::ChangeVelocity

## ◆ CurvingStrength

float EntityProjectile::CurvingStrength

## ◆ Damage

float EntityProjectile::Damage

## ◆ DepthOffset

float EntityProjectile::DepthOffset

## ◆ FallingAccel

float EntityProjectile::FallingAccel

## ◆ FallingSpeed

float EntityProjectile::FallingSpeed

## ◆ Height

float EntityProjectile::Height

## ◆ HomingStrength

float EntityProjectile::HomingStrength

## ◆ ProjectileFlags

integer EntityProjectile::ProjectileFlags

## ◆ Scale

float EntityProjectile::Scale

## ◆ WiggleFrameOffset

integer EntityProjectile::WiggleFrameOffset